﻿/**
 *
 */


function init(){
	
	// Servletサーバアドレス
	sparql.server = "http://lod.hozo.jp";

	// 検索対象エンドポイント（途中での改行は不可）
//	sparql.endpoint = {"endpoint": "http://ja.dbpedia.org/sparql","namespaces": "http://ja.dbpedia.org/class,http://ja.dbpedia.org/instance,http://ja.dbpedia.org/resource,http://ja.dbpedia.org/resource/Category:"};
	sparql.endpoint = {"endpoint": "http://lod.ac/sparql","namespaces": "http://ja.dbpedia.org/class,http://ja.dbpedia.org/instance,http://ja.dbpedia.org/resource,http://ja.dbpedia.org/resource/Category:"};
	
	
	template.template =
		[
		 {
			title:"作家の作品一覧",
			query:"PREFIX dc: <http://purl.org/dc/terms/>\n"+
					"PREFIX lodac: <http://lod.ac/ns/lodac#>\n"+
					"PREFIX lodacid: <http://lod.ac/id/>\n"+
					"SELECT ?work ?title\n"+
					"WHERE {\n"+
					"  ?s rdfs:label \"$creator$\"@ja;\n"+
					"    lodac:creates ?work .\n"+
					"  ?work dc:title ?title .\n"+
					"}\n"+
					"LIMIT $count$",
			label:"$creator$の作品の仕事とタイトル一覧を$count$件取得する。",
			valiables:{count:['100', '200', '300']}
		},
		 {
			title:"美術館の所蔵作品一覧",
			query:"PREFIX dc: <http://purl.org/dc/terms/>\n"+
					"PREFIX rdfs: <http://www.w3.org/2000/01/rdf-schema#>\n"+
					"PREFIX lodac: <http://lod.ac/ns/lodac#>\n"+
					"PREFIX lodacid: <http://lod.ac/id/>\n"+
					"SELECT ?work ?label\n"+
					"WHERE {\n"+
					"  ?s rdfs:label \"$museum_name$\"@ja;\n"+
					"     lodac:isProviderOf ?work .\n"+
					"  ?work rdfs:label ?label;\n"+
					"    dc:references ?workRef .\n"+
					"  ?workRef dc:medium \"$type$\"@ja .\n"+
					"}\n"+
					"LIMIT $count$",
			label:"$museum_name$が所蔵している$type$な作品一覧を$count$件取得する。",
			valiables:{type:['油彩、カンヴァス', 'マルチブロック、紙', '絹本着色・軸', 'エッチング(単色)', 'メゾチント、紙'],
						count:['100', '200', '300']}
		}
		];

	
	sparql.init();
	template.init();
	
//	sparql.addCondition(0);
}

